# Uses of Interface
org.opensaml.xmlsec.keyinfo.impl.KeyInfoProvider

Packages that use KeyInfoProvider
Package
Description
org.opensaml.xmlsec.keyinfo.impl
Interfaces and classes for working with XML KeyInfo elements.
org.opensaml.xmlsec.keyinfo.impl.provider
Specific implementations of `KeyInfoProvider`.

## Uses of KeyInfoProvider in org.opensaml.xmlsec.keyinfo.impl

Fields in org.opensaml.xmlsec.keyinfo.impl with type parameters of type KeyInfoProvider
Modifier and Type
Field
Description
`private final List<KeyInfoProvider>`
BasicProviderKeyInfoCredentialResolver.`providers`
List of KeyInfo providers that are registered on this instance.
Methods in org.opensaml.xmlsec.keyinfo.impl that return types with arguments of type KeyInfoProvider
Modifier and Type
Method
Description
`protected List<KeyInfoProvider>`
BasicProviderKeyInfoCredentialResolver.`getProviders()`
Return the list of the KeyInfoProvider instances used in this resolver configuration.
Constructor parameters in org.opensaml.xmlsec.keyinfo.impl with type arguments of type KeyInfoProvider
Modifier
Constructor
Description
``
`BasicProviderKeyInfoCredentialResolver(List<KeyInfoProvider> keyInfoProviders)`
Constructor.
``
`LocalKeyInfoCredentialResolver(List<KeyInfoProvider> keyInfoProviders, CredentialResolver localCredentialResolver)`
Constructor.

## Uses of KeyInfoProvider in org.opensaml.xmlsec.keyinfo.impl.provider

Classes in org.opensaml.xmlsec.keyinfo.impl.provider that implement KeyInfoProvider
Modifier and Type
Class
Description
`class`
`AbstractKeyInfoProvider`
Abstract super class for `KeyInfoProvider` implementations.
`class`
`AgreementMethodKeyInfoProvider`
Implementation of `KeyInfoProvider` which supports `AgreementMethod`.
`class`
`DEREncodedKeyValueProvider`
Implementation of `KeyInfoProvider` which supports `DEREncodedKeyValue`.
`class`
`DSAKeyValueProvider`
Implementation of `KeyInfoProvider` which supports `DSAKeyValue`.
`class`
`ECKeyValueProvider`
Implementation of `KeyInfoProvider` which supports `ECKeyValue`.
`class`
`InlineX509DataProvider`
Implementation of `KeyInfoProvider` which provides basic support for extracting a `X509Credential` from an `X509Data` child of KeyInfo.
`class`
`KeyInfoReferenceProvider`
Implementation of `KeyInfoProvider` which supports `KeyInfoReference`.
`class`
`RSAKeyValueProvider`
Implementation of `KeyInfoProvider` which supports `RSAKeyValue`.